<?xml version="1.0" encoding="UTF-8"?>

<!--
@@keys: [K_BKQUOTE][K_1][K_ENTER][K_Z][K_Q][K_BKQUOTE][K_Z][K_Q][K_2][K_BKQUOTE][K_Z][K_Q][K_1][K_BKQUOTE][K_Z][K_Q][K_ENTER][K_BKQUOTE][K_Z]
@@expected: \u0061\u007a\u0041\u007a\u0041\u007a\u0041\u007a\u0041\u007a
-->

<!--
  Explanation of test case:
  keys          output      comment
  ====          ======      =======
  a1<enter>z     az         1=gap, enter=not mapped/mappable. (z used as a subtest separator)
  qaz            Az         q\m{q}a => A due to transform
  q2az           Az         2=not mapped, but NO reset.
  q1az           Az         1 is a gap (no effect) so no ctx reset
  q<enter>az     Az         enter=not mappable, should cause context reset of qaz. TODO-LDML no invalidate here?
-->

<keyboard3 xmlns="https://schemas.unicode.org/cldr/45/keyboard3" locale="en" conformsTo="45">
  <info author="srl295" indicator="🙀" layout="qwerty"  name="TestKbd"/>
  <!-- TODO-LDML: split to separate test with only implied keys - the <keys/> element is omitted. -->
  <keys>
    <key id="q" output="q\m{q}"/>
  </keys>

  <layers formId="us">
    <layer id="base">
      <row keys="a gap" /> <!-- number row -->
      <row keys="q gap" /> <!-- q w ... -->
      <row keys="gap" />
      <row keys="z" /> <!-- z x ... -->
    </layer>
  </layers>

  <transforms type="simple">
    <transformGroup>
      <transform from="q\m{q}a" to="A" />
    </transformGroup>
  </transforms>

</keyboard3>
